
CoCoALib - Feature #1094

Revive code for SelfSaturating GBasis

09 Aug 2017 09:11 - Anna Maria Bigatti

Status: In Progress Start date: 09 Aug 2017

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 50%

Category: New Function Estimated time: 30.00 hours

Target version: CoCoALib-0.99880 Spent time: 10.70 hours

Description

The code is there.

Make it work.

Related issues:

Related to CoCoALib - Feature #1212: New function: GBasisByHomog Closed 05 Aug 2018

History

#1 - 09 Aug 2017 09:15 - Anna Maria Bigatti

- Status changed from New to In Progress

- % Done changed from 0 to 10

Compiles and run, but gives the wrong answer, because the temporary ring does not have the homogenizing indeterminate!

There are many functions constructing the "working ring", but it's a mess: I need John to help me designing a cleaner interface.

Renamed the functions from SATGBasis to GBasisSelfSat.

Added to CoCoA-5 (for easier debugging).

#2 - 06 Nov 2017 14:00 - John Abbott

- Target version changed from CoCoALib-0.99560 to CoCoALib-0.99600

#3 - 24 Nov 2017 17:21 - Anna Maria Bigatti

Understood (probably) what the interface was meant to be.

Written test code, seems to work well :-)

Final interreduction needed.

#4 - 24 Nov 2017 17:22 - Anna Maria Bigatti

- % Done changed from 10 to 50

#5 - 27 Nov 2017 09:15 - Anna Maria Bigatti

Added interreduction (in CoCoA5 package)

#6 - 02 Aug 2018 16:21 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99600 to CoCoALib-0.99650 November 2019

#7 - 05 Aug 2018 16:42 - Anna Maria Bigatti

- Related to Feature #1212: New function: GBasisByHomog added
#8 - 01 Oct 2019 11:40 - John Abbott

- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-0.99700

#9 - 13 Jan 2020 17:34 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99800

No hope to make this in time for 0.99720 (requires too much planning)

#10 - 04 Feb 2022 21:58 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#11 - 18 Mar 2024 09:57 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880

#12 - 22 Mar 2024 14:38 - Anna Maria Bigatti

Remember to add tests to test-GB.cocoa5
